Skip to main content
POST
Unarchive vendor

Authorizations

Authorization
string
header
required

Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>

Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.

Path Parameters

business_id
string
required
Pattern: ^[0-9a-f-]+$
vendor_id
string<uuid>
required

A UUID string identifying this vendor.

Body

Serializer for vendor objects returned by the vendors list endpoint

external_id
string

Your unique identifier for this vendor (used for idempotency)

Maximum string length: 255
individual_name
string

Vendor individual name (for sole traders/freelancers)

Maximum string length: 255
company_name
string

Registered company name (for limited companies)

Maximum string length: 255
email
string<email>

Primary email address for vendor communications

Maximum string length: 254

Response

Serializer for vendor objects returned by the vendors list endpoint

type
string
required
read-only

Resource type (always 'VendorData')

id
string<uuid>
required
read-only

Unique vendor identifier

mobile_phone
string
required
read-only

Mobile phone number (E.164 format, e.g., +44 7700 900123)

office_phone
string
required
read-only

Office phone number (E.164 format, e.g., +44 20 7946 0958)

address_string
string
required
read-only

Full formatted address (read-only, auto-generated)

memo
string
required
read-only

Internal notes or description for this vendor

status
string
required
read-only

Vendor status (ACTIVE, INACTIVE, ARCHIVED, BLOCKED)

transaction_tags
any[]
required
read-only

List of tags for categorization

documents
object[]
required
read-only

All documents linked to this vendor with presigned URLs

external_id
string

Your unique identifier for this vendor (used for idempotency)

Maximum string length: 255
individual_name
string

Vendor individual name (for sole traders/freelancers)

Maximum string length: 255
company_name
string

Registered company name (for limited companies)

Maximum string length: 255
email
string<email>

Primary email address for vendor communications

Maximum string length: 254